View Issue Details

IDProjectCategoryView StatusLast Update
0004492ExpressionsBugpublic2021-01-11 11:30
ReporterAndrewCSP Assigned Tohyarion  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Summary0004492: Spreadsheet deleted value remains in database
DescriptionIf I create a row in a spreadsheet and give the value an alias, say 'wireDia', then delete that row and create another row elsewhere, I cannot now use that deleted name in the new row.
Worse still, if I access values in the model, wireDia is still listed as a value and can be used in the model, preserving its (unchangeable) last value.
@openBrain has confirmed this bug exists in 0.19

Forum thread
Steps To ReproduceCreate a row in a spreadsheet and fill in the alias, eg wireDia.
Delete the row
Try and use that alias in a new row.
Also, it is still possible to see and use that alias in a model.
Tagsspreadsheet
FreeCAD InformationOS: macOS 10.15
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.16146 (Git)
Build type: Release
Branch: (HEAD detached at 0.18.4)
Hash: 980bf9060e28555fecd9e3462f68ca74007b70f8
Python version: 3.6.7
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedKingdom (en_GB)

Activities

hyarion

2021-01-01 18:20

developer   ~0015194

Here's a PR to fix the issue: https://github.com/FreeCAD/FreeCAD/pull/4232

hyarion

2021-01-11 11:30

developer   ~0015204

Fix committed to master branch.

Related Changesets

FreeCAD: master d525b29f

2021-01-01 17:37:58

hyarion

Details Diff
[Spreadsheet] Remove alias from dynamic properties on removeRows/Columns

When removing a row in a spreadsheet which has an assigned alias, the
alias will not be removed from the list of dynamic properties.

This makes it impossible to create a new alias which uses the same name
even if the original was removed (using removeRows/removeColumns)

Fixes 0004492
Affected Issues
0004492
mod - src/Mod/Spreadsheet/App/PropertySheet.cpp Diff File
mod - src/Mod/Spreadsheet/App/PropertySheet.h Diff File
mod - src/Mod/Spreadsheet/App/Sheet.cpp Diff File
mod - src/Mod/Spreadsheet/TestSpreadsheet.py Diff File

Issue History

Date Modified Username Field Change
2020-11-13 15:44 AndrewCSP New Issue
2020-11-13 15:44 AndrewCSP Tag Attached: spreadsheet
2020-11-13 15:48 openBrain Status new => acknowledged
2020-11-13 15:48 openBrain Description Updated View Revisions
2021-01-01 18:20 hyarion Note Added: 0015194
2021-01-07 15:11 Kunda1 Assigned To => hyarion
2021-01-07 15:11 Kunda1 Status acknowledged => assigned
2021-01-11 11:30 hyarion Changeset attached => FreeCAD master d525b29f
2021-01-11 11:30 hyarion Note Added: 0015204
2021-01-11 11:30 hyarion Status assigned => closed
2021-01-11 11:30 hyarion Resolution open => fixed